package org.dromara.knowledge.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.knowledge.domain.KnowledgeSchemaGroup;
import org.dromara.knowledge.domain.bo.KnowledgeSchemaGroupBo;
import org.dromara.knowledge.domain.vo.KnowledgeSchemaGroupVo;

import java.util.Collection;
import java.util.List;

/**
 * 知识库数据模型分组Service接口
 *
 * @author pengles
 */
public interface KnowledgeSchemaGroupService extends IService<KnowledgeSchemaGroup> {

    /**
     * 查询知识库模式组
     */
    KnowledgeSchemaGroupVo queryById(Long id);

    /**
     * 查询知识库模式组列表
     */
    TableDataInfo<KnowledgeSchemaGroupVo> queryPageList(KnowledgeSchemaGroupBo bo, PageQuery pageQuery);

    /**
     * 查询知识库模式组列表
     */
    List<KnowledgeSchemaGroupVo> queryList(KnowledgeSchemaGroupBo bo);

    /**
     * 新增知识库模式组
     */
    Boolean insertByBo(KnowledgeSchemaGroupBo bo);

    /**
     * 修改知识库模式组
     */
    Boolean updateByBo(KnowledgeSchemaGroupBo bo);

    /**
     * 校验并批量删除知识库模式组
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 根据编码查询模式组信息
     */
    KnowledgeSchemaGroupVo queryByCode(String code);

    /**
     * 根据名称查询模式组信息
     */
    KnowledgeSchemaGroupVo queryByName(String name);
}